# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-MinimumVersion
Version:	0.101083
Release:	2.%{__distinit}%{__distvers}
Summary:	Check whether your code requires a newer perl
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-MinimumVersion
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-MinimumVersion-%{version}.tar.gz
Patch0:		Test-MinimumVersion-0.101083-old-EU::MM.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.31
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::Find::Rule::Perl)
BuildRequires:	perl(Perl::MinimumVersion) >= 1.32
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(version) >= 0.70
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Tester)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Check whether your code requires a newer perl than you think.

%prep
%setup -q -n Test-MinimumVersion-%{version}

# Don't really need ExtUtils::MakeMaker ≥ 6.78
%patch -P 0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::MinimumVersion.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 0.101083-2
- Avoid use of deprecated patch syntax

* Sun Jan  1 2023 Paul Howarth <paul@city-fan.org> - 0.101083-1
- Update to 0.101083
  - Update packaging and metadata
- Use SPDX-format license tag
- Use %%license unconditionally
- Add patch to support building with ExtUtils::MakeMaker < 6.78

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 0.101082-12
- Perl 5.30 rebuild

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 0.101082-8
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.96

* Mon Oct  3 2016 Paul Howarth <paul@city-fan.org> - 0.101082-4
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Dec  7 2015 Paul Howarth <paul@city-fan.org> - 0.101082-1
- Update to 0.101082
  - Add all_minimum_version_from_mymetayml_ok
  - Add all_minimum_version_from_mymetajson_ok

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.101081-3
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Mon Dec  2 2013 Paul Howarth <paul@city-fan.org> - 0.101081-1
- Update to 0.101081
  - Add a "skip" option to all_minimum_version_ok
  - Use CPAN::Meta for META.* files, which should do a better job at figuring
    out prereqs
- Add patches to support building with Test::More < 0.96
- Update patch for building with ExtUtils::MakeMaker < 6.30

* Sat Jul 14 2012 Paul Howarth <paul@city-fan.org> - 0.101080-7
- BR: perl(ExtUtils::MakeMaker) and perl(Test::More)

* Wed Mar 14 2012 Paul Howarth <paul@city-fan.org> - 0.101080-6
- Don't need to remove empty directories from buildroot
- Don't need to fix permissions of files from tarball
- Drop explicit runtime dependency on perl(Exporter), auto-detected by
  rpm ≥ 4.9, not needed on earlier releases
- BR: perl(base)
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 0.101080-5
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.101080-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 12 2010 Paul Howarth <paul@city-fan.org> - 0.101080-2
- Fix dist tag for RHEL-6 Beta

* Mon Apr 19 2010 Paul Howarth <paul@city-fan.org> - 0.101080-1
- Update to 0.101080 (more "comparison to undef" bugs fixed)

* Fri Apr 16 2010 Paul Howarth <paul@city-fan.org> - 0.101050-1
- Update to 0.101050
  - convert to dzil, fix a prereq num/str conversion stupidity
  - fix bug when comparing versions to undef
- Enable RELEASE_TESTING
- Makefile.PL unnecessarily requires ExtUtils::MakeMaker 6.31 - patch that out
- Update buildreqs from META.yml

* Sun Jan 17 2010 Paul Howarth <paul@city-fan.org> - 0.013-1
- Update to 0.013
  - don't inline YAML::Tiny, require it instead
  - add a very, very, very basic test
- BuildReq perl(Test::Tester) and perl(YAML::Tiny) >= 1.40
- Dist tag for Rawhide no longer needs special-casing

* Tue Jun 30 2009 Paul Howarth <paul@city-fan.org> - 0.011-1
- Update to 0.011 (update code to behave better with subtests)

* Mon Jun  1 2009 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010 (attempt not to croak on empty files)

* Mon Apr 20 2009 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009 (display version_markers when syntax requirements too high)
- Update to SLES-compatible dist tag macros

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 0.008-2
- Import from Fedora

* Mon May 26 2008 Ralf Corsépius <rc040203@freenet.de> - 0.008-1
- Upstream update.

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-4
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-3
- Rebuild for perl 5.10 (again), first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-2
- rebuild normally, second pass

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.007-1.1
- rebuild for new perl, first pass, tests and TPC disabled

* Mon Nov 19 2007 Ralf Corsépius <rc040203@freenet.de> - 0.007-1
- Initial version.
